Skip to main content
PATCH
/
driver-trailer-assignments
Update an existing driver-trailer assignment.
curl --request PATCH \
  --url https://api.samsara.com/driver-trailer-assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endTime": "2019-06-13T19:08:25Z"
}
'
{
  "data": {
    "driverId": "0987",
    "endTime": "2019-06-13T19:08:25Z",
    "id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d6",
    "startTime": "2019-06-13T19:08:25Z",
    "trailerId": "494123",
    "createdAtTime": "2019-06-13T19:08:25Z",
    "updatedAtTime": "2019-06-13T19:08:25Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

Samsara ID for the assignment.

Body

application/json

Update a new driver-trailer assignment

endTime
string
required

The end time in RFC 3339 format. The end time should not be in the future

Example:

"2019-06-13T19:08:25Z"

Response

OK response.

data
object
required

Response after successfully updating a Driver Trailer Assignment